function columns(vm) {
  const cols = [
    {
      title: '序号',
      key: 'rowIndex',
      width: 60,
      align: 'center',
      customRender: function(t, r, index) {
        return parseInt(index) + 1
      }
    },
    {
      title: '版本号',
      align: 'center',
      dataIndex: 'apkVersion',
      key: 'apkVersion'
    },
    {
      title: '版本描述',
      align: 'center',
      dataIndex: 'description',
      key: 'description'
    },
    {
      title: '上传时间',
      align: 'center',
      dataIndex: 'createTime',
      key: 'createTime'
    },
    {
      title: '操作',
      dataIndex: 'action',
      width: 200,
      align: 'center',
      slots: { title: 'actionName' },
      scopedSlots: { customRender: 'action' }
    }
  ]
  return cols
}

export default columns
